Summary: A number of simple utilties for manipulating HTML and XML files
Summary(es): Conjunto de utilidades simples para la manipulación de ficheros HTML y XML
Name:		html-xml-utils
Version:	3.6
Release:	olea1
Group:		Utilities/Text
Copyright:	W3C License
URL:		http://www.w3.org/Tools/HTML-XML-utils/
Source0:	http://www.w3.org/Tools/HTML-XML-utils/%{name}-%{version}.tar.gz
Prefix:		%{_prefix}
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildPreReq: 	sed

%description
  * cexport (1)    - create headerfile of exported declarations from a C file
  * addid-html (1) - add ID's to selected elements
  * cite (1)       - replace bibliographic references by hyperlinks
  * cite-mkbib (1) - expand references and create bibliography
  * count (1)      - count elements and attributes in HTML or XML files files
  * extract-html (1) - extract selected elements
  * htmlclean (1)  - apply heuristics to correct an HTML file
  * htmlprune (1)  - remove marked elements from an HTML file
  * incl-html (1)  - expand included HTML or XML files
  * index-html (1) - create an alphabetically sorted index
  * mkbib (1)      - create bibliography from a template
  * multitoc (1)   - create a table of contents for a set of HTML files
  * normalize-html (1) - pretty-print an HTML file
  * num-html (1)   - number section headings in an HTML file
  * pipe-html (1)  - convert XML to a format easier to parse with Perl or AWK
  * printlinks (1) - number links & add table of URLs at end of an HTML file
  * toc (1)        - insert a table of contents in an HTML file
  * uncdata (1)    - replace CDATA sections by character entities
  * unent-html (1) - replace HTML predefined character entities to UTF-8
  * unpipe-html (1)- convert output of pipe back to XML format
  * wls (1)        - list links in an HTML file
  * xmlns (1)      - replace XML Namespace prefixes by "global names"
  * xmlrecode, asc2xml, xml2asc (1) - convert between UTF8 and &#nnn; entities
  * xref (1)       - generate cross-references
  * xselect (1)    - extract elements that match a (CSS) selector

NB: Some utilities are renamed in this package from xxx to xxx-html
for preventing possible naming conflicts.

%prep
%setup -q

%build
%configure --with-cflags="$RPM_OPT_FLAGS"  --mandir=$RPM_BUILD_ROOT/%{_mandir}
make

%install
rm -rf $RPM_BUILD_ROOT
make install 

mantopics="addid extract incl index normalize num pipe unent unpipe"
for f in $mantopics; do
    cd %buildroot%_bindir
    mv $f $f-html
    cd %buildroot%_mandir/man1/
    [ -e $f.1 ] && mv $f.1 $f-html.1
done
cd %buildroot%_mandir/man1/
for f in $mantopics; do
    %__sed s,$f,$f-html,g *
done


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc AUTHORS COPYING ChangeLog README TODO 
%{_bindir}/*
%{_mandir}/man?/*

%changelog
* Tue Jan 4 2005 Ismael Olea <ismael@olea.org>
- My first rpm version based on Ilya G. Evseev <evseev@altlinux.ru> one.
